#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/runtime:9.0 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:9.0 AS build
WORKDIR /src
COPY ["nuget.config", "."]
COPY ["e-suite.Database.Migrator/e-suite.Database.Migrator.csproj", "e-suite.Database.Migrator/"]
RUN dotnet restore "e-suite.Database.Migrator/e-suite.Database.Migrator.csproj"
COPY . .
WORKDIR "/src/e-suite.Database.Migrator"
RUN dotnet build "e-suite.Database.Migrator.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "e-suite.Database.Migrator.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "e-suite.Database.Migrator.dll"]